Subject: Re: [bug#64643] [PATCH] gnu: ghc-8.10: Fix build on i686-linux.
From: Christopher Baines <[email-masked]>
To: Lars-Dominik Braun <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Jul 2023 13:58:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars-Dominik Braun <[email-masked]> writes:

> Hi,
>
>> Yep, you can click the "View build on https://bordeaux.guix.gnu.org"
>> links from this page [1] to find the build logs for all the failing
>> builds.
>>
>> 1: https://data.qa.guix.gnu.org/gnu/store/sp4csvzxjzzjhmyp7sfdxg3ypqpysh2a-ghc-8.10.7.drv
>
> huh, a segfault. Weird. Perhaps it’s running out of address space.
>
>> And yes, this patch only affects i686-linux as confirmed by [2].
>
> Ah, you’re right. I missed this patch context:
>
>>           #$@(if (string-prefix? "i686" (or (%current-target-system)
>>                                             (%current-system)))
>
> Looks good to me then!

Great, I've pushed this to master as
ad08f9331fee7a8e71e94b02f86f54ab3e1001a8.

There's ~2000 affected packages, but I think this is OK since at least
for the bordeaux build farm, these packages are being unblocked rather
than rebuilt, and for ci, it'll take no time at all to catch up.